Get workbook entries

Returns a list of entries in the specified workbook.

Request

POST

http://<хост_on-premises>/rpc/getWorkbookEntries

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "workbookId": "example",
  "includePermissionsInfo": true,
  "page": 0.5,
  "pageSize": 0.5,
  "createdBy": "example",
  "scope": "dash",
  "orderBy": {
    "field": "name",
    "direction": "asc"
  },
  "filters": {
    "name": "example"
  }
}

Name

Description

workbookId

Type: string

ID of the workbook whose entries to retrieve.

Example: example

createdBy

Type: string

Filter entries by creator ID.

Example: example

filters

Type: object

name

Type: string

Filter entries by name.

Example: example

Filtering configuration.

Example
{
  "name": "example"
}

includePermissionsInfo

Type: boolean

Include permission information in the response.

orderBy

Type: object

direction

Type: string

Workbook entry sorting direction.

Enum: asc, desc

field

Type: string

Field to order workbook entries by.

Enum: name, createdAt

Sorting configuration.

Example
{
  "field": "name",
  "direction": "asc"
}

page

Type: number

Page number for pagination.

pageSize

Type: number

Number of entries per page.

scope

Any of 2 types
  • Type: EntryScope

    Type of the entry, e.g. dash — dashboard, widget — chart, etc.

    Enum: dash, report, widget, dataset, folder, connection, compute, artifact

  • Type: EntryScope[]

    Example
    [
      "dash"
    ]
    

Filter entries by scope.

Example: dash

EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Type: string

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

Responses

200 OK

Response

Body

application/json
{
  "entries": [
    {
      "entryId": "example",
      "scope": "dash",
      "type": "example",
      "key": "example",
      "displayKey": "example",
      "createdBy": "example",
      "createdAt": "example",
      "updatedBy": "example",
      "updatedAt": "example",
      "savedId": "example",
      "publishedId": "example",
      "revId": "example",
      "meta": {},
      "hidden": true,
      "workbookId": "example",
      "collectionId": "example",
      "tenantId": "example",
      "isFavorite": true,
      "isLocked": true,
      "permissions": {
        "execute": true,
        "read": true,
        "edit": true,
        "admin": true
      },
      "mirrored": true
    }
  ],
  "nextPageToken": "example"
}

Name

Description

entries

Type: GetWorkbookEntriesEntry[]

List of workbook entries.

Example
[
  {
    "entryId": "example",
    "scope": "dash",
    "type": "example",
    "key": "example",
    "displayKey": "example",
    "createdBy": "example",
    "createdAt": "example",
    "updatedBy": "example",
    "updatedAt": "example",
    "savedId": "example",
    "publishedId": "example",
    "revId": "example",
    "meta": {},
    "hidden": true,
    "workbookId": "example",
    "collectionId": "example",
    "tenantId": "example",
    "isFavorite": true,
    "isLocked": true,
    "permissions": {
      "execute": true,
      "read": true,
      "edit": true,
      "admin": true
    },
    "mirrored": true
  }
]

nextPageToken

Type: string

Token for retrieving the next page of results.

Example: example

EntryPermissions

Name

Description

admin

Type: boolean

Indicates if there are permissions for admin.

edit

Type: boolean

Indicates if there are permissions to edit.

execute

Type: boolean

Indicates if there are permissions to execute.

read

Type: boolean

Indicates if there are permissions to read.

Example
{
  "execute": true,
  "read": true,
  "edit": true,
  "admin": true
}

GetWorkbookEntriesEntry

Name

Description

collectionId

Type: string | null

ID of the collection the entry belongs to.

Example: example

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

ID of the user who created the entry.

Example: example

displayKey

Type: string | null

Display key of the entry.

Example: example

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean | null

Indicates if the entry is hidden.

isFavorite

Type: boolean

Indicates if the entry is marked as favorite.

isLocked

Type: boolean

Indicates if the entry is locked.

key

Type: string | null

Key identifier of the entry.

Example: example

meta

Type: object | null

Metadata associated with the entry.

Example
{}

mirrored

Type: boolean | null

Indicates if the entry is mirrored.

publishedId

Type: string | null

Published revision ID.

Example: example

revId

Type: string

Current revision ID.

Example: example

savedId

Type: string | null

Saved revision ID.

Example: example

scope

Type: EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

tenantId

Type: string | null

ID of the DataLens tenant.

Example: example

type

Type: string

Entity type of the entry.

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

ID of the user who last updated the entry.

Example: example

workbookId

Type: string | null

ID of the workbook the entry belongs to.

Example: example

permissions

Type: EntryPermissions

Permissions for the entry.

Example
{
  "execute": true,
  "read": true,
  "edit": true,
  "admin": true
}
Example
{
  "entryId": "example",
  "scope": "dash",
  "type": "example",
  "key": "example",
  "displayKey": "example",
  "createdBy": "example",
  "createdAt": "example",
  "updatedBy": "example",
  "updatedAt": "example",
  "savedId": "example",
  "publishedId": "example",
  "revId": "example",
  "meta": {},
  "hidden": true,
  "workbookId": "example",
  "collectionId": "example",
  "tenantId": "example",
  "isFavorite": true,
  "isLocked": true,
  "permissions": {
    "execute": true,
    "read": true,
    "edit": true,
    "admin": true
  },
  "mirrored": true
}
Предыдущая
Следующая